const mongoose = require('mongoose');
const Schema = mongoose.Schema;
const idValidator = require('mongoose-id-validator');

const ProductSchema = new Schema({
    title: {
        required: [true, 'Заголовк обязателен'],
        type: String
    },
    price: {
        required: [true, 'Цена обязателена'],
        type: Number
    },
    description: String,
    image: String,
    category: {
        type: Schema.Types.ObjectId,
        ref: 'Category',
        required: [true, 'Категория обязателена'],
    }
});

ProductSchema.plugin(
    idValidator,
    {message: "Передайте корректный идентикатор категории"}
);

const Product = mongoose.model('Product', ProductSchema);
module.exports = Product;

