import GoogleLogin from "@dump-work/react-google-login";
import {googleAppId} from '../../../constants/config';
import {Button} from "@mui/material";
import {useDispatch} from "react-redux";
import {useNavigate} from "react-router-dom";
import {googleLogin} from "../../../store/actions/usersActions";

const GoogleLoginButton = () => {
    const dispatch = useDispatch();
    const navigate = useNavigate();

    return <GoogleLogin
        clientId={googleAppId}
        onFailure={(error) => {
            console.log('Login Failed!', error);
        }}
        onSuccess={(response) => {
            console.log('Login Success!', response);
            dispatch(googleLogin({data: response, callback: () => navigate('/')}));
        }}
        render={({ onClick, logout }) => (
            <Button onClick={onClick}>
                Enter with Google
            </Button>
        )}
    />;
};

export default GoogleLoginButton;
