import {AppBar, Box, Toolbar, Typography, IconButton} from '@mui/material';
import HomeIcon from '@mui/icons-material/Home';
import {NavLink} from "react-router-dom";
import {MAIN} from "../../../constants/routes";
import {useSelector} from "react-redux";
import UserMenu from "./Menus/UserMenu/UserMenu";
import AnonymousMenu from "./Menus/AnonymousMenu/AnonymousMenu";

const AppToolbar = () => {
    const user = useSelector(({usersState}) => usersState.user);

    return (
        <Box sx={{ flexGrow: 1 }}>
            <AppBar position="static">
                <Toolbar>
                    <IconButton
                        size="large"
                        edge="start"
                        color="inherit"
                        aria-label="menu"
                        sx={{ mr: 2 }}
                        component={NavLink}
                        to={MAIN}
                    >
                        <HomeIcon />
                    </IconButton>
                    <Typography variant="h6" component="div" sx={{ flexGrow: 1 }}>
                        Shop
                    </Typography>
                    {
                        user
                            ? <UserMenu user={user} />
                            : <AnonymousMenu />
                    }
                    </Toolbar>
            </AppBar>
        </Box>
    );
};

export default AppToolbar;
