import {useState} from "react";
import {Button, Menu, MenuItem} from '@mui/material';
import {useDispatch} from "react-redux";
import {logoutUser} from "../../../../../store/actions/usersActions";
import {NavLink, useNavigate} from "react-router-dom";
import {MAIN, USER_PROFILE} from "../../../../../constants/routes";

const UserMenu = ({user}) => {
    const navigate = useNavigate();
    const dispatch = useDispatch();
    const [anchorEl, setAnchorEl] = useState(null);

    const handleClick = e => {
        setAnchorEl(e.currentTarget);
    };

    const handleClose = () => {
        setAnchorEl(null);
    };

    return <>
        <Button
            aria-controls="simple-menu"
            aria-haspopup={true}
            onClick={handleClick}
            color="inherit"
        >
            Hello, {user.username}
        </Button>
        <Menu
            open={!!anchorEl}
            anchorEl={anchorEl}
            onClose={handleClose}
            keepMounted
        >
            <MenuItem component={NavLink} to={USER_PROFILE}>Profile</MenuItem>
            <MenuItem>My account</MenuItem>
            <MenuItem
                onClick={() => dispatch(logoutUser({callback: () => navigate(MAIN)}))}
            >
                Logout
            </MenuItem>
        </Menu>
    </>;
};

export default UserMenu;
