import ProductForm from "../../components/Product/ProductForm/ProductForm";
import {Typography} from "@mui/material";
import {createProduct} from "../../store/actions/productsActions";
import {useDispatch, useSelector} from "react-redux";
import {useNavigate} from "react-router-dom";
import {fetchCategories} from "../../store/actions/categoriesActions";
import {useEffect} from "react";


const AddProduct = () => {
    const dispatch = useDispatch();
    const navigate = useNavigate();
    const categories = useSelector(({categoriesState}) => categoriesState.categories);

    useEffect(() => {
        dispatch(fetchCategories());
    }, []);

    const onProductFormSubmit = async data => {
        await dispatch(createProduct({data, callback: () => navigate('/')}));
    };

    return (
        <>
            <Typography variant='h4'>
                New Product
            </Typography>
            <ProductForm
                createProductHandler={onProductFormSubmit}
                categories={categories}
            />
        </>
    );
};

export default AddProduct;
