import {Button, Grid, Typography} from "@mui/material";
import {Link} from "react-router-dom";
import {PRODUCT_ADD} from "../../constants/routes";
import {useDispatch, useSelector} from "react-redux";
import {fetchProducts} from "../../store/actions/productsActions";
import {useEffect} from "react";
import ProductList from "../../components/Product/ProductList/ProductList";

const Products = () => {
    const dispatch = useDispatch();
    const products = useSelector(({productsState}) => productsState.products);
    const user = useSelector(({usersState}) => usersState.user);

    useEffect(() => {
        dispatch(fetchProducts());
    }, []);

    return (
        <Grid container direction="column" spacing={2}>
            <Grid
                container
                item
                direction="row"
                justifyContent="space-between"
                alignItems="center"
            >
                <Grid item>
                    <Typography variant="h4">
                        Products list
                    </Typography>
                </Grid>
                {
                    user && user.role === 'admin' && <Grid item>
                        <Button color="primary" component={Link} to={PRODUCT_ADD}>
                            Add product
                        </Button>
                    </Grid>
                }
            </Grid>
            <ProductList products={products} />
        </Grid>
    );
};

export default Products;
