import {createSlice} from "@reduxjs/toolkit";
import {fetchCategories} from "../actions/categoriesActions";

const initialState = {
    categories: []
};

const categoriesSlice = createSlice(({
    name: 'categories',
    initialState,
    extraReducers: builder => {
        builder
            .addCase(
                fetchCategories.fulfilled,
                (state, {payload}) => {
                    state.categories = payload || [];
                }
            );
    }
}));

export default categoriesSlice.reducer;
